## org.apache.axis.description
Class ElementDesc

    java.lang.Object
      |
      +--org.apache.axis.description.FieldDesc
            |
            +--org.apache.axis.description.ElementDesc

public class ElementDesc
extends FieldDesc

An AttributeDesc is a FieldDesc for an Java field mapping to an XML element

Author:
  Glen Daniels (gdaniels@apache.org)

Constructor Summary
`ElementDesc()`

Method Summary
`int` `getMaxOccurs()`
`int` `getMinOccurs()`
`boolean` `isMinOccursZero()` Check if this field can be omitted.
`void` `setMaxOccurs(int maxOccurs)`
`void` `setMinOccurs(int minOccurs)`

Methods inherited from class org.apache.axis.description.FieldDesc
`getFieldName, getJavaType, getXmlName, getXmlType, isElement, isIndexed, setFieldName, setJavaType, setMinOccursIs0, setXmlName, setXmlType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementDesc

    public ElementDesc()

Method Detail

### isMinOccursZero

    public boolean isMinOccursZero()

  Description copied from class: `FieldDesc`
  Check if this field can be omitted.

  Overrides:
    `isMinOccursZero` in class `FieldDesc`

### getMinOccurs

    public int getMinOccurs()

### setMinOccurs

    public void setMinOccurs(int minOccurs)

### getMaxOccurs

    public int getMaxOccurs()

### setMaxOccurs

    public void setMaxOccurs(int maxOccurs)

Copyright © 2003 Apache Web Services Project. All Rights Reserved.